Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Thunderbird won't open after Firefox update not compatible with 78.3.1

more options

Firefox did an auto update yesterday and now I can't even open Thunderbird to get my mail it says 78.3.1 is not compatible with 78.3.0 I need a fix now...is there an update to Thunderbird?

Attached screenshots

Chosen solution

just reinstall from getthunderbird.com

Read this answer in context 👍 0

All Replies (2)

more options

Chosen Solution

just reinstall from getthunderbird.com

Helpful?

more options

Thank you for your answer, however after several attempts to open Thunderbird during the day and getting the same error message, it suddenly started working again...

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.